Bug 1375914 - posix: Integrate important events with events framework
Summary: posix: Integrate important events with events framework
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: posix
Version: 3.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1371353
Blocks: 1361086
TreeView+ depends on / blocked
 
Reported: 2016-09-14 08:47 UTC by Pranith Kumar K
Modified: 2016-12-06 06:01 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1371353
Environment:
Last Closed: 2016-12-06 06:01:01 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Pranith Kumar K 2016-09-14 08:47:53 UTC
+++ This bug was initially created as a clone of Bug #1371353 +++

Description of problem:
Integrate important events from posix xlator with events framework.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2016-08-29 22:01:08 EDT ---

REVIEW: http://review.gluster.org/15342 (storage/posix: Integrate important events with gf_event) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Worker Ant on 2016-08-29 22:28:19 EDT ---

REVIEW: http://review.gluster.org/15342 (storage/posix: Integrate important events with gf_event) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Worker Ant on 2016-09-13 19:16:17 EDT ---

REVIEW: http://review.gluster.org/15342 (storage/posix: Integrate important events with gf_event) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Worker Ant on 2016-09-14 04:27:22 EDT ---

REVIEW: http://review.gluster.org/15342 (storage/posix: Integrate important events with gf_event) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 1 Worker Ant 2016-09-14 08:52:48 UTC
REVIEW: http://review.gluster.org/15497 (storage/posix: Integrate important events with gf_event) posted (#1) for review on release-3.9 by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 2 Worker Ant 2016-09-15 04:18:59 UTC
COMMIT: http://review.gluster.org/15497 committed in release-3.9 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 37e48d7c298cbdaafe04efe4dde59ec878073e20
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Wed Sep 7 04:19:32 2016 +0530

    storage/posix: Integrate important events with gf_event
    
            Backport of http://review.gluster.org/15342
    
    BUG: 1375914
    Change-Id: Icc23b22de02e45d2b0f8c6339ee628b439a4ffa8
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/15497
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>

Comment 3 Aravinda VK 2016-10-27 05:22:40 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 4 Aravinda VK 2016-12-06 06:01:01 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.